import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();

export const tableConfig = {
  MARTERIAL: {
    url: "/api/v1/base/material",
    column: [
      { label: "客户型号", prop: "customervodel", search: true },
      { label: "生产厂家", prop: "manufacturer", search: true },
      { label: "物料编码", prop: "materialCode", search: true },
      { label: "物料名称", prop: "materialName", search: true },
      { label: "保质期", prop: "qualityGuaranteePeriod", search: true },

      { label: "筛选规范", prop: "selectionSpec", search: true },
      { label: "物料规格", prop: "spec", search: true },
      {
        label: "适用平台",
        prop: "applicablePlatformsDictValue",
        // search: true,
        // filterable: true,
        // type: "select",
        // dataType: "string",
        // dicData: dicts.applicable_platforms,
        // props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料属性",
        prop: "attributeDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.material_properties,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "是否工装",
        prop: "frock",
        search: true,
        filterable: true,
        type: "radio", //类型为单选框
        dicData: [
          {
            label: "否",
            value: 0,
          },
          {
            label: "是",
            value: 1,
          },
        ],
        value: 0,
      },
      {
        label: "质检方案",
        prop: "inspectDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.quality_testing_plan,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料级别",
        prop: "levelDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.material_level,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "封装方法",
        prop: "packageDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.packaging_method,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "质量等级",
        prop: "qualityLevelDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.quality_grade,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "选用类型",
        prop: "selectionDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.selection_type,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "阶段",
        prop: "stageDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.stage,
        props: { label: "dictLabel", value: "dictValue" },
      },
      {
        label: "物料单位",
        prop: "unitDictValue",
        search: true,
        filterable: true,
        type: "select",
        dataType: "string",
        dicData: dicts.danwei_type,
        props: { label: "dictLabel", value: "dictValue" },
      },
      { label: "备注", prop: "remark", type: "textarea", search: true },
    ],
  },

  FACTORY: {
    url: "/api/v1/base/workShop",
    column: [
      {
        label: "车间名称",
        prop: "name",
        search: true,
      },
      {
        label: "车间负责人",
        prop: "manager",
        rules: [{
          required: true,
          message: "请选择厂区负责人",
          trigger: "blur"
        }],
        type: 'select',
        dicUrl:import.meta.env.VITE_APP_BASE_API+"/api/v1/sys/user/list",
        dicMethod:"post",
        props: {
          label: "userName", // 下拉菜单显示的字段
          value: "userName" // 下拉菜单值的字段
        },
      },
      {
        label: "车间位置",
        prop: "position",
      },
      {
        label: "所属工厂",
        prop: "factoryName",
        display:false
      },
      {
        label: "车间描述",
        prop: "remark",
      },
      {
        label: "创建人",
        prop: "creator",
        display:false
      },
      {
        label: "创建时间",
        prop: "created",
        display:false
      },
    ],
  },


};
